gnutls_privkey_get_pk_algorithm(3)

NAME
gnutls_privkey_get_pk_algorithm - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_get_pk_algorithm(gnutls_privkey_t key, unsigned int * bits);

ARGUMENTS

gnutls_privkey_t key
    should contain a gnutls_privkey_t type

unsigned int * bits
    If set will return the number of bits of the parameters (may be NULL)

DESCRIPTION
This function will return the public key algorithm of a private key and if possible will return a number of bits that indicates the security parameter of the key.

RETURNS
a member of the gnutls_pk_algorithm_t enumeration on success, or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/